Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 86597 - ./configure in 2.0b1 is broken
Summary: ./configure in 2.0b1 is broken
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: eCos
Classification: Retired
Component: Release Engineering
Version: 2.0 beta 1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bart Veer
QA Contact: John Dallaway
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-26 08:36 UTC by Andrew Lunn
Modified: 2007-04-18 16:52 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-06-20 16:23:08 UTC


Attachments (Terms of Use)

Description Andrew Lunn 2003-03-26 08:36:50 UTC
The root auto configure script in 2.0b1 is broken. It assumes the packages use
version current, where as they are called v2_b1. This means it cannot find them
down in the tree. Also, host has been renamed tools/src and the approrpriate
changes have not been made in the auto configure script.

This makes a workaround for the missing synth auxilary code more difficult

Comment 1 John Dallaway 2003-03-26 09:12:51 UTC
The target side configury should be able to accommodate non-'current' package  
versions. It looks like this should be trivial by using a wildcard instead of  
'current' when assigning FOUND_CONFIGURES in the configure script. Similarly,  
SUBDIRS="tools/src" rather than SUBDIRS="host" should work. To avoid the need  
for release engineering tweaks, I suggest that the top level configure looks  
for both "host" and "tools/src".  
  
There's an underlying problem with the use of a relative path to reference  
files in the acsupport directory from the host-side configure script. This  
causes problems when renaming "host" -> "tools/src" for releases. For eCos  
2.0b1 I simply duplicated the acsupport directory and contents to work around  
this. In the long term, it would be good to move "host" -> "tools/src" in the  
CVS repository itself.  

Comment 2 Alex Schuilenburg 2003-06-20 16:23:08 UTC
This bug has moved to http://bugs.ecos.sourceware.org/show_bug.cgi?id=86597


Note You need to log in before you can comment on or make changes to this bug.